### Method

# WebKit2WebExtension DOMDocument create_text_node

#### Declaration [src]

    WebKitDOMText*
    webkit_dom_document_create_text_node (
      WebKitDOMDocument* self,
      const gchar* data
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`data` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `WebKitDOMText`
| A `WebKitDOMText`.
| The data is owned by the instance.